/****************************************************************************

 * Copyright (c) 2008-2009, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 
 * 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.

File Name:          DialogRegister.cpp

Description:

    This file implements class DialogRegister.

Environment (opt):

    OS: Ubuntu
    SE: Code::Block

Notes (opt):

  =====================================================================

  Revision   Revision History               Author     Date

  =====================================================================

  0.1        Create                         Zhang Hui 2008-7-20

  =====================================================================

****************************************************************************/

#include "include/DialogRegister.h"

DialogRegister::DialogRegister()
{
    this->ptrBatteryInfoDialog = NULL;
    this->ptrPMDialog = NULL;
}

DialogRegister::~DialogRegister()
{
}

DialogRegister* DialogRegister::ptrDialogRegister = NULL;

DialogRegister* DialogRegister::GetInstance()
{
    if (ptrDialogRegister == NULL)
    {
        ptrDialogRegister = new DialogRegister();
    }

    return ptrDialogRegister;
}

void DialogRegister::SetPtrPMDialog(PMDialog* ptrPMDialog)
{
    this->ptrPMDialog = ptrPMDialog;
}

PMDialog* DialogRegister::GetPtrPMDialog()
{
    return this->ptrPMDialog;
}

void DialogRegister::SetPtrBatteryInfoDialog(BatteryInfoDialog* ptrBatteryInfoDialog)
{
    this->ptrBatteryInfoDialog = ptrBatteryInfoDialog;
}

BatteryInfoDialog* DialogRegister::GetPtrBatteryInfoDialog()
{
    return this->ptrBatteryInfoDialog;
}

void DialogRegister::SetPtrTask(PMTrayIcon* ptrTask)
{
    this->ptrTask = ptrTask;
}

PMTrayIcon* DialogRegister::GetPtrTask()
{
    return this->ptrTask;
}
